// StarPong v 0.95b (c) 1998 Graham Mitchell <mitchell@onr.com> - 22 Nov 1998

// sound.cpp
// a couple of functions for sound

/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License (LICENSE.TXT) for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "sound.h"
#include <dos.h>
#include <allegro.h>

bool usesound = true;

void blip()
{
	if ( usesound )
	{
		sound(400);
		rest(5);
		nosound();
	}
}


void chirp()
{
	if ( usesound )
	{
		for ( int hz=500; hz < 1000; hz+=75 )
		{
			sound(hz);
			rest(5);
		}
		nosound();
	}
}


void buzzer()
{
	int hz;
	if ( usesound )
	{
		for ( int x=0; x<10; ++x )
		{
			hz = ( x%2==0 ) ? 50 : 240;
			sound(hz);
			rest(5);
		}
		nosound();
	}
}
