// StarPong v 0.95b (c) 1998 Graham Mitchell <mitchell@onr.com> - 22 Nov 1998

// const.h
// constants used in all modules

/*
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License (LICENSE.TXT) for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __PONG_CONST_H
#define __PONG_CONST_H

#include <math.h>

struct Point
{
	double x;
	double y;
};

struct BBox
{
	double x1, y1, x2, y2;
};

typedef unsigned char uchar;

const int NOBOUNCE = 0;
const int HBOUNCE = 1;
const int VBOUNCE = 2;
const int BOUNCE = 3;

const int STAR_DENSITY = 100;

const int TARGET_FPS = 60;
const int GAME_SEC = TARGET_FPS;

#endif
